package com.ruoyi.project.training.service;

import java.util.List;
import com.ruoyi.project.training.domain.TTrainingMatrix;

/**
 * 培训矩阵Service接口
 * 
 * @author ruoyi
 * @date 2021-06-28
 */
public interface ITTrainingMatrixService 
{
    /**
     * 查询培训矩阵
     * 
     * @param id 培训矩阵ID
     * @return 培训矩阵
     */
    public TTrainingMatrix selectTTrainingMatrixById(Long id);

    /**
     * 查询培训矩阵列表
     * 
     * @param tTrainingMatrix 培训矩阵
     * @return 培训矩阵集合
     */
    public List<TTrainingMatrix> selectTTrainingMatrixList(TTrainingMatrix tTrainingMatrix);

    /**
     * 新增培训矩阵
     * 
     * @param tTrainingMatrix 培训矩阵
     * @return 结果
     */
    public int insertTTrainingMatrix(TTrainingMatrix tTrainingMatrix);

    /**
     * 修改培训矩阵
     * 
     * @param tTrainingMatrix 培训矩阵
     * @return 结果
     */
    public int updateTTrainingMatrix(TTrainingMatrix tTrainingMatrix);

    /**
     * 批量删除培训矩阵
     * 
     * @param ids 需要删除的培训矩阵ID
     * @return 结果
     */
    public int deleteTTrainingMatrixByIds(Long[] ids);

    /**
     * 删除培训矩阵信息
     * 
     * @param id 培训矩阵ID
     * @return 结果
     */
    public int deleteTTrainingMatrixById(Long id);
}
